#include <LWindow.h>
#include "piwindowmac.h"

class PIPPWindowMac : public LWindow {
public:
	enum { class_ID = 'pwin' };
	
						PIPPWindowMac();
						PIPPWindowMac(
								const SWindowInfo	&inWindowInfo);
						PIPPWindowMac(
								ResIDT				inWINDid,
								Uint32				inAttributes,
								LCommander			*inSuperCommander);
								
						PIPPWindowMac(
								LCommander			*inSuperCommander,
								const Rect			&inGlobalBounds,
								ConstStringPtr		inTitle,
								Int16				inProcID,
								Uint32				inAttributes,
								WindowPtr			inBehind,
								void				*inStorage = nil);
								
						PIPPWindowMac(
								LStream				*inStream);
	virtual				~PIPPWindowMac();

	virtual void		DoSetPosition(
								Point				inPosition);
	virtual void		DoSetBounds(
								const Rect			&inBounds);
								
	virtual void		AttemptClose();
								
	PIWindow* myPIWindow;
};
